> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--connectors/mutations/monitor-connector-resources.md).

# monitorConnectorResources

Sets connector resources to monitor and replaces any existing monitoring configuration.

{% hint style="warning" %}

## Complete replacement operation

To maintain monitoring of existing resources:

* First retrieve your current list of monitored resources
* Include ALL resources you wish to monitor in your update, both existing and new
* Any resources not included in this update will no longer be monitored
  {% endhint %}

### Examples

{% tabs %}
{% tab title="GraphQL" %}

```graphql
mutation MonitorConnectorResources($monitorConnectorResourceInput: MonitorConnectorResourceInput!) {
  monitorConnectorResources(monitorConnectorResourceInput: $monitorConnectorResourceInput) {
    success
  }
}
```

#### Variables

This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.

```json
{
  "monitorConnectorResourceInput": {
    "connectorID": "2",
    "originalConnectorID": "example",
    "credentialsId": "example",
    "credentialsType": "example",
    "resources": [
      {
        "id": "30966426",
        "parentId": "example",
        "name": "some-repo",
        "isMonitored": true,
        "resourceType": "edge",
        "credentialsId": "example"
      }
    ],
    "monitorAllResources": true,
    "monitorAllNewlyCreatedResources": 1749000000000,
    "featureFlags": "example"
  }
}
```

{% endtab %}

{% tab title="cURL" %}

```shell
curl -X POST \
https://api.cloud.ox.security/api/apollo-gateway \
-H 'Content-Type: application/json' \
-H 'Authorization: YOUR_API_TOKEN' \
-d '{
 "query": "mutation MonitorConnectorResources($monitorConnectorResourceInput: MonitorConnectorResourceInput!) { monitorConnectorResources(monitorConnectorResourceInput: $monitorConnectorResourceInput) { success } }",
 "variables": {
    "monitorConnectorResourceInput": {
      "connectorID": "2",
      "originalConnectorID": "example",
      "credentialsId": "example",
      "credentialsType": "example",
      "resources": [
        {
          "id": "30966426",
          "parentId": "example",
          "name": "some-repo",
          "isMonitored": true,
          "resourceType": "edge",
          "credentialsId": "example"
        }
      ],
      "monitorAllResources": true,
      "monitorAllNewlyCreatedResources": 1749000000000,
      "featureFlags": "example"
    }
  }
}'
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const query = 'mutation MonitorConnectorResources($monitorConnectorResourceInput: MonitorConnectorResourceInput!) { monitorConnectorResources(monitorConnectorResourceInput: $monitorConnectorResourceInput) { success } }';

fetch("https://api.cloud.ox.security/api/apollo-gateway", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  body: JSON.stringify({
    query: query,
    // This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    variables: {
      monitorConnectorResourceInput: {
        connectorID: "2",
        originalConnectorID: "example",
        credentialsId: "example",
        credentialsType: "example",
        resources: [
          {
            id: "30966426",
            parentId: "example",
            name: "some-repo",
            isMonitored: true,
            resourceType: "edge",
            credentialsId: "example"
          }
        ],
        monitorAllResources: true,
        monitorAllNewlyCreatedResources: 1749000000000,
        featureFlags: "example"
      }
    }
  })
})
.then(response => response.json())
.then(result => console.log(JSON.stringify(result, null, 2)))
.catch(error => console.error('Error:', error));
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

query = 'mutation MonitorConnectorResources($monitorConnectorResourceInput: MonitorConnectorResourceInput!) { monitorConnectorResources(monitorConnectorResourceInput: $monitorConnectorResourceInput) { success } }'

response = requests.post(
  "https://api.cloud.ox.security/api/apollo-gateway",
  headers={
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  json={
    "query": query,
    # This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    "variables": {
      "monitorConnectorResourceInput": {
        "connectorID": "2",
        "originalConnectorID": "example",
        "credentialsId": "example",
        "credentialsType": "example",
        "resources": [
          {
            "id": "30966426",
            "parentId": "example",
            "name": "some-repo",
            "isMonitored": true,
            "resourceType": "edge",
            "credentialsId": "example"
          }
        ],
        "monitorAllResources": true,
        "monitorAllNewlyCreatedResources": 1749000000000,
        "featureFlags": "example"
      }
    }
  }
)

if response.status_code == 200:
    result = response.json()
    print(result)
else:
    print(f"Error: {response.status_code}")
    print(response.text)
```

{% endtab %}
{% endtabs %}

### Arguments

You can use the following argument(s) to customize your `monitorConnectorResources` mutation.

| Argument                                                                                                                                                                                                                          | Description                                                                        | Supported fields                                                                                                                                                                                                                                                                                                                                                                        |
| --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| monitorConnectorResourceInput [`MonitorConnectorResourceInput!`](/api-documentation/api-reference/api--connectors/types/inputs/monitor-connector-resource-input.md) <mark style="color:red;background-color:red;">required</mark> | Input specifying which connector resources to monitor and monitoring configuration | <p>connectorID <code>String!</code><br>originalConnectorID <code>String</code><br>credentialsId <code>String</code><br>credentialsType <code>String</code><br>resources <a href="/pages/kPVUC2Pdebwmq0AKVb6c"><code>\[ResourceInput]</code></a><br>monitorAllResources <code>Boolean</code><br>monitorAllNewlyCreatedResources <code>Float</code><br>featureFlags <code>JSON</code></p> |

### Fields

Return type: [`MonitorConnectorResourceResponse`](/api-documentation/api-reference/api--connectors/types/objects/monitor-connector-resource-response.md)

You can use the following field(s) to specify what information your `monitorConnectorResources` mutation will return. Please note that some fields may have their own subfields.

| Field             | Description                               | Supported fields |
| ----------------- | ----------------------------------------- | ---------------- |
| success `Boolean` | boolean indication if operation succeeded |                  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--connectors/mutations/monitor-connector-resources.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
